### Function

# Pango.reorder_items

#### Declaration [src]

    GList*
    pango_reorder_items (
      GList* logical_items
    )

#### Description [src]

Reorder items from logical order to visual order.

The visual order is determined from the associated directional levels of the items. The original list is unmodified.

#### Parameters

`logical_items` | A list of `PangoItem`
| a `GList` of `PangoItem` in logical order.
| Ownership is not transferred to the callee

#### Return value

Returns: A list of `PangoItem`
a `GList` of `PangoItem` structures in visual order. (Please open a bug if you use this function. It is not a particularly convenient interface, and the code is duplicated elsewhere in Pango for that reason.)
Ownership of the data is transferred to the caller